@echo off

if not exist ..\extracted\dother  mkdir ..\extracted\dother

if not exist extdec\*.mt       call  wiso\eMt.bat

FOR %%i IN (extdec\*.mt)     DO ffxmt   -e   -t ffx.tbs   %%i  ..\extracted\dother\%%~ni.txt


if not exist extracted\*.dlg   call  wiso\eOther.bat

FOR %%i IN (extracted\*.dlg) DO ffxdlg  -e   -t ffx.tbs   %%i  ..\extracted\dother\%%~ni.txt


if not exist extdec\*.dlg2     call  wiso\eOther.bat

FOR %%i IN (extdec\*.dlg2)   DO ffxdlg2 -e   -t ffx.tbs   %%i  ..\extracted\dother\%%~ni.txt


if not exist extdec\*.mt2      call  wiso\eMt2.bat

rem no specific program yet
rem extract part with texts, and from it extract text
if exist extdec\0174.mt2 (
    fcopy.exe -ep  extdec\0174.mt2  temp.tmp    0x0  0xAE00
    shsplit.exe  4  -s  -df delim.txt  -t ffx.tbs     -hb 0x114  -cl 1  temp.tmp   ..\extracted\dother\0174.txt
)
if exist extdec\0177.mt2 (
    fcopy.exe -ep  extdec\0177.mt2  temp.tmp    0x0  0x13B90
    shsplit.exe  4  -s  -df delim.txt  -t ffx.tbs     -hb 0x384  -cl 1  temp.tmp   ..\extracted\dother\0177.txt
)
if exist extdec\0180.mt2 (
    fcopy.exe -ep  extdec\0180.mt2  temp.tmp    0x0  0x2A00
    shsplit.exe  4  -s  -df delim.txt  -t ffx.tbs     -hb 0x114  -cl 1  temp.tmp   ..\extracted\dother\0180.txt
)
